×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Registered User
    Join Date
    Dec 2004
    Posts
    23

    Unhappy Can't run any of the S60 3rd FP 1 and higher emulators on Vista

    Hi,

    I'm using NetBeans 6.5.1 and 6.7 beta as my IDE. I've installed the Nokia S60 3rd FP2 SDK 1.1 and configured for my development sessions the emulator to be used in NetBeans.

    Whenever I start a run or a debug session from NetBeans, the output window in NetBeans shows as the final lines:

    Copying 1 file to C:\Iwan\SticktailGames\projects\FriendOrFoe\frontend\IFF_FrontEnd\dist\S60_E3_FP2_Emulator_v1_1\nbrun6946746303426242351
    Copying 1 file to C:\Iwan\SticktailGames\projects\FriendOrFoe\frontend\IFF_FrontEnd\dist\S60_E3_FP2_Emulator_v1_1\nbrun6946746303426242351
    Jad URL for OTA execution: http://localhost:8083/servlet/org.ne...F_FrontEnd.jad
    Starting emulator in execution mode
    []

    and the DebugAgent.EXE stops working. The SDK progress window shows that it is "connecting to agent". And that is it. I can't get the emulator to work on my Vista box. I've tried it in Home Premium as well as Ultimate.
    The same goes for the N97 SDk.

    Any help is appreciated, especially since I'm running now consistently into SVG problems on my N85 device that are not happening in my WTK 2.5.2 environment nor in my JavaME SDK 3.0 environment.

    I also tried on device debugging, but that doesn't work either.

    Iwan

  2. #2
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Can't run any of the S60 3rd FP 1 and higher emulators on Vista

    Official support for Vista is provided only for S60 3rd Edition FP2 SDK v1.1 and later releases. However there are still known issues with it and one must be verry carefull with installing the tools and using them. My advice would be to run all the tools involved (SDK tools/Emulator/IDE) with Administrator priviledges (not default in Windows Vista).

    I will communicate this feedback to the SDK team, maybe they can improve the situation with the next SDK releases. As for the current situation do try to get better advice on the Java SDK and Tools forum.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  3. #3
    Registered User
    Join Date
    Dec 2004
    Posts
    23

    Re: Can't run any of the S60 3rd FP 1 and higher emulators on Vista

    Hi,

    I've tried to set the properties to use Administrator privileges, but that didn't solve the problem. After installing the SDK there was a mentioning of some Vista specific stuff I needed to run, but I thought it was only for the C++ part of the SDK. Do I need to do additional actions after installation when I want to do JavaME development, or should installing the SDK be sufficient?

    Iwan

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×